Aspect Timeline
POST
/aspect-timeline
curl -X POST https://api.astroway.info/v1/aspect-timeline \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "planet1Id": 0, "planet2Id": 6, "aspectAngle": 90, "startDate": "2024-01-01", "endDate": "2024-12-31", "orb": 3 }'const res = await fetch('https://api.astroway.info/v1/aspect-timeline', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "planet1Id": 0, "planet2Id": 6, "aspectAngle": 90, "startDate": "2024-01-01", "endDate": "2024-12-31", "orb": 3 }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/aspect-timeline', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'planet1Id': 0, 'planet2Id': 6, 'aspectAngle': 90, 'startDate': "2024-01-01", 'endDate': "2024-12-31", 'orb': 3 },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('aspect-timeline', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'planet1Id' => 0, 'planet2Id' => 6, 'aspectAngle' => 90, 'startDate' => '2024-01-01', 'endDate' => '2024-12-31', 'orb' => 3, ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Calculate a timeline of when two specific planets form an exact aspect within a date range, including enter/exact/leave dates.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
startDate required
string
endDate required
string
stepDays
number
planet1Ids
Array<number>
planet2Ids
Array<number>
aspectAngles
Array<number>
maxOrb
number
Example
{ "planet1Id": 0, "planet2Id": 6, "aspectAngle": 90, "startDate": "2024-01-01", "endDate": "2024-12-31", "orb": 3}Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
events
Array<object>
object
enterDate
string
exactDate
string
leaveDate
string
aspect
string
orb
number
Example
{ "ok": true}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.